GDB (xrefs)

Public Member Functions | List of all members
gdb.command.pretty_printers.DisablePrettyPrinter Class Reference
Inheritance diagram for gdb.command.pretty_printers.DisablePrettyPrinter:

## Public Member Functions
def | __init__ (self)
def | invoke (self, arg, from_tty)
def | __init__ (self)
def | invoke (self, arg, from_tty)

## Detailed Description

    GDB command to disable the specified pretty-printer.

    Usage: disable pretty-printer [object-regexp [name-regexp]]

    OBJECT-REGEXP is a regular expression matching the objects to examine.
    Objects are "global", the program space's file, and the objfiles within
    that program space.

    NAME-REGEXP matches the name of the pretty-printer.
    Individual printers in a collection are named as
    printer-name;subprinter-name.

Definition at line 339 of file pretty_printers.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.command.pretty_printers.DisablePrettyPrinter.__init__ | ( |  | self | ) |

Definition at line 353 of file pretty_printers.py.

Referenced by gdb.command.pretty_printers.DisablePrettyPrinter.__init__().

## ◆ __init__() [2/2]

def gdb.command.pretty_printers.DisablePrettyPrinter.__init__ | ( |  | self | ) |

Definition at line 353 of file pretty_printers.py.

References gdb.command.pretty_printers.DisablePrettyPrinter.__init__().

## Member Function Documentation

## ◆ invoke() [1/2]

def gdb.command.pretty_printers.DisablePrettyPrinter.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

    GDB calls this to perform the command.

Definition at line 357 of file pretty_printers.py.

References gdb.command.pretty_printers.do_enable_pretty_printer().

Referenced by gdb.command.pretty_printers.DisablePrettyPrinter.invoke().

## ◆ invoke() [2/2]

def gdb.command.pretty_printers.DisablePrettyPrinter.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

    GDB calls this to perform the command.

Definition at line 357 of file pretty_printers.py.

References gdb.command.pretty_printers.do_enable_pretty_printer(), gdb.command.pretty_printers.DisablePrettyPrinter.invoke(), and gdb.command.pretty_printers.register_pretty_printer_commands().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/pretty_printers.py